Mailinglist Archive: opensuse (4020 mails)

< Previous Next >
Re: [SLE] apt/ulb gnome
  • From: Anders Johansson <andjoh@xxxxxxxxxx>
  • Date: Tue, 5 Oct 2004 20:04:06 +0200
  • Message-id: <200410052004.06401.andjoh@xxxxxxxxxx>
On Tuesday, 5 October 2004 19.55, boricua Orman wrote:
> On Tue, 2004-10-05 at 19:39 +0200, Anders Johansson wrote:
> > On Tuesday, 5 October 2004 19.35, boricua Orman wrote:
> > > 2?
> >
> > 1!
> >
> > > why if i did install ulb-gnome it still not running 2.8
> > > why would -update and --check return the error below
> > >
> > >
> > >
> > > error: cannot get exclusive lock on /var/lib/rpm/Packages
> > > error: cannot open Packages index using db3 - Operation not permitted
> > > (1)
> > > error: cannot open Packages database in /var/lib/rpm
> > > E: could not open RPM database
> >
> > Because you're running it as user, not as root.
>
> no shit,

aha, is that the level we're on

> how do you come to that conclusion?

That is the error you'd get if you tried to use rpm as a user, and I couldn't
believe the apt/synaptic developers were holding an exclusive lock on the
database simply by running it. red carpet just does a shared lock then. RPM
v4 has multiuser capabilities, so why wouldn't they use it

> running as root

Good for you.

< Previous Next >
Follow Ups